package com.ruoyi.web.work.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author lsw
 * @date 2024-06-07
 */
@Data
@Accessors(chain = true)
public class PositionListVo{

    private Long id;

    private Integer type;

    @ApiModelProperty(value = "职位名称")
    private String title;

    @ApiModelProperty(value = "封面图片")
    private String pic;

    @ApiModelProperty(value = "经验要求")
    private String experience;

    @ApiModelProperty(value = "薪资范围")
    private String salary;

    @ApiModelProperty(value = "地区名称")
    private String regionName;

    @ApiModelProperty(value = "地点名")
    private String location;

    @ApiModelProperty(value = "经度")
    private String longitude;

    @ApiModelProperty(value = "维度")
    private String latitude;

    @ApiModelProperty(value = "距离km")
    private String distance;

}
