package com.ruoyi.web.work.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author lsw
 * @date 2024-06-07
 */
@Data
@Accessors(chain = true)
public class EnterpriseListVo {

    private Long id;

    @ApiModelProperty(value = "企业名称")
    private String name;

    @ApiModelProperty(value = "地区名称")
    private String regionName;

    @ApiModelProperty(value = "注册资本")
    private String capital;

    @ApiModelProperty(value = "经度")
    private String longitude;

    @ApiModelProperty(value = "维度")
    private String latitude;

    @ApiModelProperty(value = "距离km")
    private String distance;

}
